SELECT a.role_key role_key,
       a.role_name role_name,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_1,0)) AS avail_1,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_2,0)) AS avail_2,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_3,0)) AS avail_3,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_4,0)) AS avail_4,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_5,0)) AS avail_5,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_6,0)) AS avail_6,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_7,0)) AS avail_7,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_8,0)) AS avail_8,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_9,0)) AS avail_9,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_10,0)) AS avail_10,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_11,0)) AS avail_11,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_12,0)) AS avail_12,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_1,0)) AS demand_1,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_2,0)) AS demand_2,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_3,0)) AS demand_3,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_4,0)) AS demand_4,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_5,0)) AS demand_5,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_6,0)) AS demand_6,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_7,0)) AS demand_7,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_8,0)) AS demand_8,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_9,0)) AS demand_9,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_10,0)) AS demand_10,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_11,0)) AS demand_11,
       MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_12,0)) AS demand_12
FROM  
      (SELECT MAX(CASE WHEN c.period_row = 1 THEN c.period_start_date ELSE NULL END) date_1,
              MAX(CASE WHEN c.period_row = 2 THEN c.period_start_date ELSE NULL END) date_2,
              MAX(CASE WHEN c.period_row = 3 THEN c.period_start_date ELSE NULL END) date_3,
              MAX(CASE WHEN c.period_row = 4 THEN c.period_start_date ELSE NULL END) date_4,
              MAX(CASE WHEN c.period_row = 5 THEN c.period_start_date ELSE NULL END) date_5,
              MAX(CASE WHEN c.period_row = 6 THEN c.period_start_date ELSE NULL END) date_6,
              MAX(CASE WHEN c.period_row = 7 THEN c.period_start_date ELSE NULL END) date_7,
              MAX(CASE WHEN c.period_row = 8 THEN c.period_start_date ELSE NULL END) date_8,
              MAX(CASE WHEN c.period_row = 9 THEN c.period_start_date ELSE NULL END) date_9,
              MAX(CASE WHEN c.period_row = 10 THEN c.period_start_date ELSE NULL END) date_10,
              MAX(CASE WHEN c.period_row = 11 THEN c.period_start_date ELSE NULL END) date_11,
              MAX(CASE WHEN c.period_row = 12 THEN c.period_start_date ELSE NULL END) date_12
       FROM  (SELECT cln.period_name,
                     c.period_start_date,
                     ROW_NUMBER() OVER (PARTITION BY 1 ORDER BY c.period_start_date) period_row
              FROM   dwh_cmn_period c
                     INNER  JOIN dwh_cmn_period_ln cln ON  c.period_key = cln.period_key AND cln.language_code = $P{ppmUserLanguage}
              WHERE  c.period_start_date BETWEEN CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                      THEN $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH')
                                                      ELSE $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK') END
                                         AND     CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                      THEN $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH'),'MONTH',11)
                                                      ELSE $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK'),'WEEK',12) END
                     AND c.period_type_key = $P{periodTypeWeekMonth}) c) d
       INNER JOIN
            (SELECT rr.resource_key AS role_key,
                    rr.resource_name AS role_name,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_1 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_1,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_2 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_2,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_3 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_3,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_4 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_4,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_5 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_5,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_6 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_6,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_7 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_7,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_8 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_8,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_9 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_9,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_10 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_10,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_11 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_11,
                    SUM(CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN 0 ELSE CASE WHEN c.period_start_date = p.date_12 THEN 
                             CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                  THEN pf.avail_hours/c.period_fte ELSE pf.avail_hours END ELSE 0 END END) avail_12,
                    0 demand_1,
                    0 demand_2,
                    0 demand_3,
                    0 demand_4,
                    0 demand_5,
                    0 demand_6,
                    0 demand_7,
                    0 demand_8,
                    0 demand_9,
                    0 demand_10,
                    0 demand_11,
                    0 demand_12
             FROM   dwh_res_resource rr
                    LEFT OUTER JOIN dwh_res_resource rm ON rr.resource_key = rm.primary_role_key
                    LEFT OUTER JOIN dwh_res_resource r ON (CASE WHEN $P!{dwhDBSchema}.dwh_null_number_fct(rm.is_role,1) = 1 THEN rr.resource_key ELSE rm.resource_key END) = r.resource_key
                    LEFT OUTER JOIN dwh_res_period_facts pf ON r.resource_key = pf.resource_key
                    INNER JOIN (SELECT MAX(CASE WHEN c.period_row = 1 THEN c.period_start_date ELSE NULL END) date_1,
                                      MAX(CASE WHEN c.period_row = 2 THEN c.period_start_date ELSE NULL END) date_2,
                                      MAX(CASE WHEN c.period_row = 3 THEN c.period_start_date ELSE NULL END) date_3,
                                      MAX(CASE WHEN c.period_row = 4 THEN c.period_start_date ELSE NULL END) date_4,
                                      MAX(CASE WHEN c.period_row = 5 THEN c.period_start_date ELSE NULL END) date_5,
                                      MAX(CASE WHEN c.period_row = 6 THEN c.period_start_date ELSE NULL END) date_6,
                                      MAX(CASE WHEN c.period_row = 7 THEN c.period_start_date ELSE NULL END) date_7,
                                      MAX(CASE WHEN c.period_row = 8 THEN c.period_start_date ELSE NULL END) date_8,
                                      MAX(CASE WHEN c.period_row = 9 THEN c.period_start_date ELSE NULL END) date_9,
                                      MAX(CASE WHEN c.period_row = 10 THEN c.period_start_date ELSE NULL END) date_10,
                                      MAX(CASE WHEN c.period_row = 11 THEN c.period_start_date ELSE NULL END) date_11,
                                      MAX(CASE WHEN c.period_row = 12 THEN c.period_start_date ELSE NULL END) date_12
                               FROM  (SELECT cln.period_name,
                                             c.period_start_date,
                                             ROW_NUMBER() OVER (PARTITION BY 1 ORDER BY c.period_start_date) period_row
                                      FROM   dwh_cmn_period c
                                             INNER  JOIN dwh_cmn_period_ln cln ON  c.period_key = cln.period_key AND cln.language_code = $P{ppmUserLanguage}
                                      WHERE  c.period_start_date BETWEEN CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                                         THEN $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH')
                                                                         ELSE $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK') END
                                                                 AND     CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                                         THEN $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH'),'MONTH',11)
                                                                         ELSE $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK'),'WEEK',12) END
                                             AND c.period_type_key = $P{periodTypeWeekMonth}) c) p ON 1=1
                    INNER JOIN dwh_cmn_period c ON  pf.period_key = c.period_key AND c.period_type_key = $P{periodTypeWeekMonth}
             WHERE  1=1  
             AND    rr.employment_type_key = 0
             AND    rr.resource_type_key <= 1
             AND    rr.is_active = 1                                       
             AND    c.period_start_date BETWEEN CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY'
                                                 THEN $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH')
                                                 ELSE $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK') END
                                         AND     CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                 THEN $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH'),'MONTH',11)
                                                 ELSE $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK'),'WEEK',12) END    
             AND   (r.is_active = CASE WHEN $P{includeInactiveResources} = 1 THEN r.is_active ELSE 1 END)
             AND   $X{IN, r.employment_type_key, employmentTypeKey_1}  
             AND   $X{IN, r.resource_manager_key, resourceManagerKey_1}
             AND   $X{IN, r.booking_manager_key, bookingManagerKey_1}
             AND   $X{IN, r.primary_role_key, roleKey_1}
             AND   ($P{resourceOBSUnitKey_1} IS NULL
                    OR     
                    r.resource_key IN (SELECT DISTINCT obsm.resource_key
                                       FROM   dwh_res_obs_mapping obsm
                                              INNER JOIN dwh_cmn_obs_hierarchy obsh ON obsm.obs_unit_key = obsh.child_obs_unit_key
                                       WHERE  obsh.parent_obs_unit_key = $P{resourceOBSUnitKey_1}))        	   
            AND   ((EXISTS (SELECT user_key
                            FROM   dwh_res_security
                            WHERE  user_uid = $P{ppmUser}
                            AND    resource_key = 0                         
                            AND    global_view_right = 1))
                    OR
                   (EXISTS (SELECT resource_key
                            FROM   dwh_res_security
                            WHERE  user_uid = $P{ppmUser}
                            AND    resource_key = r.resource_key                        
                            AND    global_view_right = 0)))
             GROUP BY rr.resource_key, rr.resource_name
             HAVING SUM(pf.avail_hours) > CASE WHEN $P{showRolesWithNoCapacity} = 1 THEN -1 ELSE 0 END
             UNION
             SELECT $P!{dwhDBSchema}.dwh_null_number_fct(rr.resource_key,rr2.resource_key) AS role_key,
                    $P!{dwhDBSchema}.dwh_null_varchar_fct(rr.resource_name,rr2.resource_name) AS role_name,
                    0 avail_1,
                    0 avail_2,
                    0 avail_3,
                    0 avail_4,
                    0 avail_5,
                    0 avail_6,
                    0 avail_7,
                    0 avail_8,
                    0 avail_9,
                    0 avail_10,
                    0 avail_11,
                    0 avail_12,
                    SUM(CASE WHEN c.period_start_date = p.date_1 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                         THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_1,
                    SUM(CASE WHEN c.period_start_date = p.date_2 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_2,
                    SUM(CASE WHEN c.period_start_date = p.date_3 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_3,
                    SUM(CASE WHEN c.period_start_date = p.date_4 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_4,
                    SUM(CASE WHEN c.period_start_date = p.date_5 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_5,
                    SUM(CASE WHEN c.period_start_date = p.date_6 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_6,
                    SUM(CASE WHEN c.period_start_date = p.date_7 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_7,
                    SUM(CASE WHEN c.period_start_date = p.date_8 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_8,
                    SUM(CASE WHEN c.period_start_date = p.date_9 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                          THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_9,
                    SUM(CASE WHEN c.period_start_date = p.date_10 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                           THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_10,
                    SUM(CASE WHEN c.period_start_date = p.date_11 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                           THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_11,
                    SUM(CASE WHEN c.period_start_date = p.date_12 THEN CASE WHEN $P{unitType} = 'FTE' AND c.period_fte <> 0 
                                                                           THEN pf.alloc_hours/c.period_fte ELSE pf.alloc_hours END ELSE 0 END) demand_12
             FROM   dwh_inv_team t
                    INNER JOIN  dwh_inv_investment i ON t.investment_key = i.investment_key
                    LEFT OUTER JOIN dwh_res_resource rr ON t.role_key = rr.resource_key
                    INNER JOIN dwh_res_resource r ON t.resource_key = r.resource_key
                    LEFT OUTER JOIN dwh_res_resource rr2 ON r.primary_role_key = rr2.resource_key
                    LEFT OUTER JOIN dwh_inv_team_period_facts pf ON  t.team_key = pf.team_key                                                                 
                    INNER JOIN (SELECT MAX(CASE WHEN c.period_row = 1 THEN c.period_start_date ELSE NULL END) date_1,
                                       MAX(CASE WHEN c.period_row = 2 THEN c.period_start_date ELSE NULL END) date_2,
                                       MAX(CASE WHEN c.period_row = 3 THEN c.period_start_date ELSE NULL END) date_3,
                                       MAX(CASE WHEN c.period_row = 4 THEN c.period_start_date ELSE NULL END) date_4,
                                       MAX(CASE WHEN c.period_row = 5 THEN c.period_start_date ELSE NULL END) date_5,
                                       MAX(CASE WHEN c.period_row = 6 THEN c.period_start_date ELSE NULL END) date_6,
                                       MAX(CASE WHEN c.period_row = 7 THEN c.period_start_date ELSE NULL END) date_7,
                                       MAX(CASE WHEN c.period_row = 8 THEN c.period_start_date ELSE NULL END) date_8,
                                       MAX(CASE WHEN c.period_row = 9 THEN c.period_start_date ELSE NULL END) date_9,
                                       MAX(CASE WHEN c.period_row = 10 THEN c.period_start_date ELSE NULL END) date_10,
                                       MAX(CASE WHEN c.period_row = 11 THEN c.period_start_date ELSE NULL END) date_11,
                                       MAX(CASE WHEN c.period_row = 12 THEN c.period_start_date ELSE NULL END) date_12
                                FROM  (SELECT cln.period_name,
                                              c.period_start_date,
                                              ROW_NUMBER() OVER (PARTITION BY 1 ORDER BY c.period_start_date) period_row
                                       FROM   dwh_cmn_period c
                                       INNER  JOIN dwh_cmn_period_ln cln ON  c.period_key = cln.period_key
                                                                         AND cln.language_code = $P{ppmUserLanguage}
                                       WHERE  c.period_start_date BETWEEN CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                                               THEN $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH')
                                                                               ELSE $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK') END
                                                                  AND     CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                                               THEN $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH'),'MONTH',11)
                                                                               ELSE $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK'),'WEEK',12) END
                                       AND    c.period_type_key = $P{periodTypeWeekMonth}) c) p ON 1=1
                   INNER JOIN dwh_cmn_period c ON  pf.period_key = c.period_key AND c.period_type_key = $P{periodTypeWeekMonth}
            WHERE  1=1 
            AND    rr.is_active = 1
            AND    r.resource_type_key <= 1
            AND    i.is_template = 0                                                
            AND   ($P{includeUnstaffedRoles} = 1 OR r.is_role = 0)                    
            AND    c.period_start_date BETWEEN CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                    THEN $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH')
                                                    ELSE $P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK') END
                                       AND     CASE WHEN $P{periodTypeWeekMonth} = 'MONTHLY' 
                                                    THEN $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'MONTH'),'MONTH',11)
                                                    ELSE $P!{dwhDBSchema}.dwh_cal_date_add_fct($P!{dwhDBSchema}.dwh_cal_startdate_fct($P!{dwhDBSchema}.dwh_cal_trunc_date_fct($P{startDate}),'WEEK'),'WEEK',12) END
            AND   (r.is_active = CASE WHEN $P{includeInactiveResources} = 1 THEN r.is_active ELSE 1 END)										
            AND   (i.is_active = CASE WHEN $P{includeInactiveInvestments} = 1 THEN i.is_active ELSE 1 END)	
            AND    $X{IN, r.employment_type_key, employmentTypeKey_1}
            AND    $X{IN, r.resource_manager_key, resourceManagerKey_1}
            AND    $X{IN, r.booking_manager_key, bookingManagerKey_1}
            AND    $X{IN, t.booking_status_key, bookingStatusKey_1} 
			AND    $X{IN, i.investment_type_key, investmentTypeKey_1}
			AND    $X{IN, i.progress_key, progressKey_1}           
            AND  (($X{IN, rr.resource_key, roleKey_1} AND $P!{dwhDBSchema}.dwh_null_number_fct(rr.resource_key,0) <> 0) OR ($X{IN, rr2.resource_key, roleKey_1} AND $P!{dwhDBSchema}.dwh_null_number_fct(rr.resource_key,0) = 0))
            AND   ($X{IN, -1, investmentStatusKey_1} OR $X{IN, i.investment_status_key, investmentStatusKey_1})
            AND   ($P{resourceOBSUnitKey_1} IS NULL
                   OR    ($P!{dwhDBSchema}.dwh_null_number_fct(t.staff_obs_unit_key,0) <> 0
                   AND    t.team_key IN (SELECT DISTINCT t1.team_key
                                         FROM   dwh_inv_team t1
                                                INNER JOIN dwh_cmn_obs_hierarchy obsh ON t1.staff_obs_unit_key = obsh.child_obs_unit_key
                                         WHERE  obsh.parent_obs_unit_key = $P{resourceOBSUnitKey_1}))
                   OR    ($P!{dwhDBSchema}.dwh_null_number_fct(t.staff_obs_unit_key,0) = 0
                   AND    r.resource_key IN (SELECT DISTINCT obsm.resource_key
                                             FROM   dwh_res_obs_mapping obsm
                                                    INNER JOIN dwh_cmn_obs_hierarchy obsh ON obsm.obs_unit_key = obsh.child_obs_unit_key
                                             WHERE  obsh.parent_obs_unit_key = $P{resourceOBSUnitKey_1})))
            AND   ($P{investmentOBSUnitKey_1} IS NULL
                   OR     
                   i.investment_key IN (SELECT DISTINCT obsm.investment_key
                                        FROM   dwh_inv_obs_mapping obsm
                                               INNER JOIN dwh_cmn_obs_hierarchy obsh ON obsm.obs_unit_key = obsh.child_obs_unit_key
                                        WHERE  obsh.parent_obs_unit_key = $P{investmentOBSUnitKey_1}))     
            AND   ((EXISTS (SELECT user_key
                            FROM   dwh_res_security
                            WHERE  user_uid = $P{ppmUser}
                            AND    resource_key = 0                         
                            AND    global_view_right = 1))
                    OR
                   (EXISTS (SELECT resource_key
                            FROM   dwh_res_security
                            WHERE  user_uid = $P{ppmUser}
                            AND    resource_key = r.resource_key                        
                            AND    global_view_right = 0)))
        GROUP BY $P!{dwhDBSchema}.dwh_null_number_fct(rr.resource_key,rr2.resource_key), $P!{dwhDBSchema}.dwh_null_varchar_fct(rr.resource_name,rr2.resource_name)) a ON 1=1
WHERE 1=1
GROUP BY a.role_key, a.role_name, d.date_1, d.date_2, d.date_3, d.date_4, d.date_5, d.date_6, d.date_7, d.date_8, d.date_9, d.date_10, d.date_11, d.date_12
HAVING (MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_1,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_2,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_3,0)) + 
        MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_4,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_5,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_6,0)) + 
        MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_7,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_8,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_9,0)) + 
        MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_10,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_11,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.avail_12,0)) + 
        MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_1,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_2,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_3,0)) +
        MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_4,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_5,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_6,0)) + 
        MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_7,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_8,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_9,0)) + 
        MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_10,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_11,0)) + MAX($P!{dwhDBSchema}.dwh_null_number_fct(a.demand_12,0))) <> 0